from setuptools import setup
import os

# Grab line that contains version number from a file,
# then execute it into the name space.
version_line = None
with open(os.path.join('til', 'til.py')) as f:
    for line in f.readlines():
        if '__version__' in line:
            version_line = line
            break

__version__ = None
if version_line:
    exec(version_line)
else:
    raise ValueError("Version number not found.")

setup(
    name="cmdline-til",
    packages=["til"],
    entry_points={
        "console_scripts": ['til = til.til:main']
        },
    version=__version__,
    description="Python command line to record TILs (Today I Learned) quickly.",
    long_description="""A python command line tool to quickly take down notes and store it in a directory in /home.""",
    author="Patrick Lee",
    author_email="me@patricklee.nyc",
    url="https://github.com/patleeman/til",
    download_url="https://github.com/patleeman/til/tarball/{}".format(__version__)
)